#!/bin/sh
# $Id: form_cfg_services.cgi,v 1.0.9.1 1998/06/01 19:34:38 jens Exp $
# $Date: 1998/06/01 19:34:38 $
#
# File: form_cfg_services.cgi
# Desc: interprete the configuration form
#       and create the config-file etc/services.cfg
#
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2, or (at your option)
#   any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# (c) Copyright 1998 J. Hellmerichs-Friedrich
#
# $Log: form_cfg_services.cgi,v $
# Revision 1.0.9.1  1998/06/01 19:34:38  jens
# initial ci -r 1.0.9
#
# Revision 1.0  1998/06/01 19:32:22  jens
# initial ci -r 1.0
#
#

# where is the firewall-package located ?
[ -z "$FWDIR" ] && FWDIR=`echo $0 | sed -e 's/[\/]cgi-bin[\/][A-Za-z0-9_\.-]*$//'`

FILE=services
HEADER=$FWDIR/etc/cfg_header/$FILE.header
CONFIG=$FWDIR/etc/$FILE.cfg

cat $HEADER > $CONFIG

read post
echo $post | tr "&" "\n" | sed -e "s/=/='/g" | tr '+' ' ' | sed -e "s/$/'/g" | fgrep -v SUBMIT_ >> $CONFIG
echo "" >> $CONFIG
echo fi >> $CONFIG

echo Content-type: text/html
echo
echo "<pre>"
cat $CONFIG
echo "</pre><hr>Back to <A HREF=\"../cgi-bin/fill_services_cfg.cgi\" TARGET=\"firewall\">Configure</A>."
