#!/bin/sh
# $Id: rules_test.cgi,v 1.0.9.1 1998/06/01 19:34:39 jens Exp $
# $Date: 1998/06/01 19:34:39 $
#
# File: rule_test.cgi
# Desc: list the filtering rules for a service
#
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2, or (at your option)
#   any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# (c) Copyright 1998 J. Hellmerichs-Friedrich
#
# $Log: rules_test.cgi,v $
# Revision 1.0.9.1  1998/06/01 19:34:39  jens
# initial ci -r 1.0.9
#
# Revision 1.0  1998/06/01 19:32:23  jens
# initial ci -r 1.0
#
#

# where is the firewall-package located ?
[ -z "$FWDIR" ] && FWDIR=`echo $0 | sed -e 's/[\/]cgi-bin[\/][A-Za-z0-9_\.-]*$//'`

service=$1
verbose=true
testing=true

echo "Content-type: text/plain"
echo ""

echo "See the generated rules below the ${service}.rules file!"
echo ""
cat ../rules/${service}.rules

echo ""
echo "executing $service.rules in verbose test mode..."
echo "------------------------------------------------"
echo ""

. ../rules/${service}.rules
